/**
* 文件：RoleEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.role.model;

import java.util.Date;

import com.mortals.framework.model.BaseEntityLong;

/**
 * <p>Title: 角色信息</p>
 * <p>Description: RoleEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class RoleEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1547777703344L;


	/** 用户ID */
	private Long userId;

	/** 角色名称 */
	private String name;

	/** 备注 */
	private String remark;

	/** 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2 */
	private Integer roleType;

	/** 归属客户ID */
	private Long customerId;

	/** 创建时间 */
	private Date createTime;

	/** 创建用户 */
	private Long createUserId;

	/** 创建用户名称 */
	private String createUserName;

	/** 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userType;


	public RoleEntity(){
		
	}
	/**
	 * 获取 角色名称
	 * @return name
	 */
	public String getName(){
		return this.name;
	}

	/**
	 * 设置 角色名称
	 * @param name
	 */
	public void setName(String name){
		this.name = name;
	}

	/**
	 * 获取 备注
	 * @return remark
	 */
	public String getRemark(){
		return this.remark;
	}

	/**
	 * 设置 备注
	 * @param remark
	 */
	public void setRemark(String remark){
		this.remark = remark;
	}

	/**
	 * 获取 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @return roleType
	 */
	public Integer getRoleType(){
		return this.roleType;
	}

	/**
	 * 设置 角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2
	 * @param roleType
	 */
	public void setRoleType(Integer roleType){
		this.roleType = roleType;
	}

	/**
	 * 获取 归属客户ID
	 * @return customerId
	 */
	public Long getCustomerId(){
		return this.customerId;
	}

	/**
	 * 设置 归属客户ID
	 * @param customerId
	 */
	public void setCustomerId(Long customerId){
		this.customerId = customerId;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 * 获取 创建用户
	 * @return createUserId
	 */
	public Long getCreateUserId(){
		return this.createUserId;
	}

	/**
	 * 设置 创建用户
	 * @param createUserId
	 */
	public void setCreateUserId(Long createUserId){
		this.createUserId = createUserId;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserName
	 */
	public String getCreateUserName(){
		return this.createUserName;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserName
	 */
	public void setCreateUserName(String createUserName){
		this.createUserName = createUserName;
	}

	/**
	 * 获取 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userType
	 */
	public Integer getUserType(){
		return this.userType;
	}

	/**
	 * 设置 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userType
	 */
	public void setUserType(Integer userType){
		this.userType = userType;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof RoleEntity) {
			RoleEntity tmp = (RoleEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",name:").append(getName())
		  .append(",remark:").append(getRemark())
		  .append(",roleType:").append(getRoleType())
		  .append(",customerId:").append(getCustomerId())
		  .append(",createTime:").append(getCreateTime())
		  .append(",createUserId:").append(getCreateUserId())
		  .append(",createUserName:").append(getCreateUserName())
		  .append(",userType:").append(getUserType());
		return sb.toString();
	}
	public void initAttrValue(){
		this.name = null;
		this.remark = null;
		this.roleType = 2;
		this.customerId = null;
		this.createTime = null;
		this.createUserId = null;
		this.createUserName = null;
		this.userType = null;
	}
}